> ## Documentation Index
> Fetch the complete documentation index at: https://docs.traceback.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Error Event by ID

> Retrieve detailed information for a specific error event including symbolicated stack traces and AI root cause summary.



## OpenAPI

````yaml GET /events/{id}
openapi: 3.1.0
info:
  title: Traceback API
  version: 1.0.0
  description: >-
    REST API for ingesting, querying, and managing errors, distributed traces,
    session replays, and source maps in Traceback.
servers:
  - url: https://api.traceback.dev/v1
    description: Production Server
  - url: https://sandbox-api.traceback.dev/v1
    description: Sandbox / Staging Server
security:
  - bearerAuth: []
paths:
  /events/{id}:
    get:
      summary: Get Error Event by ID
      description: >-
        Retrieve detailed information for a specific error event including
        symbolicated stack traces and AI root cause summary.
      operationId: getEventById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Event details returned successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEvent'
        '404':
          description: Event not found
components:
  schemas:
    ErrorEvent:
      type: object
      required:
        - exception
        - timestamp
        - environment
        - release
      properties:
        id:
          type: string
          format: uuid
          example: e4a2c984-7a1b-4f9e-8c4d-91b3e5a2c110
        timestamp:
          type: string
          format: date-time
          example: '2026-09-03T18:00:00Z'
        environment:
          type: string
          example: production
        release:
          type: string
          example: web@2.4.1
        exception:
          type: object
          required:
            - type
            - value
          properties:
            type:
              type: string
              example: TypeError
            value:
              type: string
              example: Cannot read properties of undefined (reading 'items')
            stacktrace:
              type: array
              items:
                type: object
                properties:
                  filename:
                    type: string
                    example: src/checkout/cart.ts
                  lineno:
                    type: integer
                    example: 42
                  colno:
                    type: integer
                    example: 18
                  function:
                    type: string
                    example: calculateTotal
                  in_app:
                    type: boolean
                    example: true
        user:
          type: object
          properties:
            id:
              type: string
              example: usr_94827
            email:
              type: string
              example: alex@example.com
        tags:
          type: object
          additionalProperties:
            type: string
          example:
            tier: enterprise
            datacenter: us-east-1
        trace_id:
          type: string
          example: 4bf92f3577b34da6a3ce929d0e0e4736
        replay_id:
          type: string
          example: rpl_01HJZ97K1A9QG038F
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        Your project or organization API key starting with `tb_live_` or
        `tb_test_`.

````